# Generated by Django 3.2.7 on 2022-06-20 17:59

from django.db import migrations, models


def insert_placeholders(apps, schema_editor):
    GaiaHypertext = apps.get_model("gaia_utils", "GaiaHypertext")
    home_alerts = GaiaHypertext(
        name="ACCUEIL_UTILISATEUR_INFOS",
        display_name="Infos page d'accueil utilisateur",
        description="Fragment permettant d'afficher des alertes dans la zone supérieure de la page d'accueil utilisateur (affichée lors de la connexion).",
        content="<div class='alert alert-info'> "
                "   N'oubliez pas de vous inscrire pour <b>l'aide à la livraison !</b> Il s'agit de quelque chose de vital pour nous, "
                "   car sans ça il devient très vite difficile d'assurer les livraisons en raison du nombre de paniers demandés.<br> "
                "   <br> "
                "   Les liens sont ici : "
                "   <ul class='list-unstyled'> "
                "       <li>"
                "           Pour février-mars :"
                "           <a href='https://framadate.org/L3RLKXw3KFbSWi3r' target='_blank'>https://framadate.org/L3RLKXw3KFbSWi3r</a>"
                "       </li>"
                "       <li>"
                "           Pour avril-mai-juin :"
                "           <a href='https://framadate.org/sbzcHxuKsBqCAHcM' target='_blank'>https://framadate.org/sbzcHxuKsBqCAHcM</a>"
                "       </li>"
                "   </ul>"
                "   Il faut <b>4 personnes par créneau</b>. Merci pour votre aide !"
                "</div>"
    )
    home_alerts.save()


def delete_placeholders(apps, schema_editor):
    GaiaHypertext = apps.get_model("gaia_utils", "GaiaHypertext")
    GaiaHypertext.objects.all().delete()


class Migration(migrations.Migration):

    dependencies = [
        ('gaia_utils', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='GaiaHypertext',
            fields=[
                ('name', models.CharField(max_length=50, primary_key=True, serialize=False, verbose_name='Identifiant')),
                ('display_name', models.CharField(blank=True, max_length=256, verbose_name='Nom')),
                ('description', models.CharField(blank=True, max_length=1024, verbose_name='Description')),
                ('content', models.TextField(blank=True, verbose_name='Contenu')),
            ],
        ),
        migrations.RunPython(insert_placeholders, delete_placeholders),
    ]
